Skip to content
POST/{organizationId}/{mandateId}/finance/accounting/receipts/{receiptId}

Update posting receipt

Updates a specific posting receipt by its id with all of its details

Required permissions:

  • mandate.read

  • posting.insert

Path Parameters

mandateIdstringrequired
organizationIdstringrequired
receiptIdstringrequired

Request Body required

Content-Type: application/json

receiptNumberstringrequired
receiptFileNamestringoptional

Default: ""

minItems: 1

cashTransactionIdstringoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounting/receipts/{receiptId}
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/receipts/{receiptId}' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "receiptNumber": "string",
  "positions": [
    {
      "debitAccount": 1,
      "creditAccount": 1,
      "amount": 1,
      "receiptDate": "string"
    }
  ]
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

Response

200
{
  "_id": "000000000000000000000001",
  "postingIds": [
    "string"
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}